(function($) {
    $.fn.drags = function(opt) {
		
		var pos_atual = $(this).position().left;
        opt = $.extend({handle:"",cursor:"default"}, opt);

        if(opt.handle === "") {
            var $el = this;
        } else {
            var $el = this.find(opt.handle);
        }

        return $el.css('cursor', opt.cursor).on("vmousedown", function(e) {
			
            if(opt.handle === "") {
                var $drag = $(this).addClass('draggable');
            } else {
                var $drag = $(this).addClass('active-handle').parent().addClass('draggable');
            }
            var z_idx = $drag.css('z-index'),
                drg_h = $drag.outerHeight(),
                drg_w = $drag.outerWidth(),
                pos_y = $drag.offset().top + drg_h - e.pageY,
                pos_x = $drag.offset().left + drg_w - e.pageX,
				mouseX = e.pageX,
				mouseY = e.pageY;
			
			
            $drag.css('z-index', 1000).parents().on("vmousemove", function(e) {
				
				
                $('.draggable').offset({
                   // top:e.pageY + pos_y - drg_h,
                    left:e.pageX + pos_x - drg_w
                }).on("vmouseup", function() {
					
				
				
				$(this).stop().animate({left: pos_atual}, function(){
						 $(this).removeClass('draggable').css('z-index', z_idx);
				});
					
					
                });
				
				
				 
            });
			
            e.preventDefault(); // disable selection
			
        }).on("vmouseup", function() {
			
				if($('.draggable').offset().left > 100 && final != 1){
					
					
					voltar();
					
				}
				
				if($('.draggable').offset().left < -100 && final != paginas){
										
					seguir();
					
				}
			
            if(opt.handle === "") {
                $(this).removeClass('draggable');
            } else {
                $(this).removeClass('active-handle').parent().removeClass('draggable');
            }
        }).stop();

    }
	
	

	
})(jQuery);
